<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add Customer Car</title>
</head>
<body>
<h1>Add New Customer Car</h1>
<form action="#" th:action="@{/admin/customer-cars/new}" th:object="${customerCar}" method="post">
    <p>
        Vehicle Identification Number(VIN): <input type="text" th:field="*{VIN}"/>
    </p>
    <p>
        License Plate: <input type="text" th:field="*{licensePlate}"/>
    </p>

    <p>
        <label th:text="#{label.model}">Car Model</label>
        <select th:field="*{car.id}">
            <option th:each="cr : ${cars}"
                    th:value="${cr.id}"
                    th:text="${cr.getMake()}+' '+ ${cr.getModel()} + ' ' + ${cr.getYear()}">Car Models
            </option>
        </select>
    </p>
    <p>
        <label th:text="#{label.owner}">Owner</label>
        <select th:field="*{customer.id}">
            <option th:each="cust : ${customers}"
                    th:value="${cust.id}"
                    th:text="${cust.getName()}+' '+ ${cust.getEmail()}">Customers
            </option>
        </select>
    </p>

    <input type="submit" value="Add Customer Car"/>
</form>
<p>
    <a th:href="@{/}">Back</a>
</p>
</body>
</html>